Bug 82774 - paging request oops under high I/O activity
paging request oops under high I/O activity
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-01-26 01:59 EST by Mark Henson
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
syslog kernel messages (7.54 KB, text/plain)
2003-01-26 02:00 EST, Mark Henson
no flags Details

  None (edit)
Description Mark Henson 2003-01-26 01:59:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Two oops:

1: copying cd using xcdroast to hard disk (hda) see attached file for detail. 
copy failed at 180MB/625MB

2: oops: copying nfs to another machine over LAN, the copy completed but when
attempting ls on remote dir:

cd read to iso files was being done around the same time. second oops could have
occured during cd read, but cd read completed ok only the ls failed.

the machine locked up straight away...  any disk access resulting in hung session.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. see description

Actual Results:  machine froze - reset required

Expected Results:  task: copying cd image to HD should have completed normally,
2nd task should have provided ls of nfs directory

Additional info:

will attempt to recreate, the machine (hw) has recently been upgraded from RH7.3
which had no such issue with similar tasks.
Comment 1 Mark Henson 2003-01-26 02:00:31 EST
Created attachment 89605 [details]
syslog kernel messages
Comment 2 Arjan van de Ven 2003-01-26 05:58:44 EST
this looks like bad memory corruption.
What filesystem are you using?
Comment 3 Mark Henson 2003-01-26 07:02:33 EST
a mixture of ext3/reiserfs and nfs.

[mark@skink mark]$ mount
/dev/hda1 on / type ext3 (rw)
none on /proc type proc (rw)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
/dev/hda3 on /boot type ext3 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda8 on /home type reiserfs (rw)
none on /dev/shm type tmpfs (rw)
/dev/hda6 on /tmp type ext3 (rw)
/dev/hda5 on /usr type ext3 (rw)
/dev/hda7 on /var type ext3 (rw)
sala:/home on /net type nfs (rw,addr=
[mark@skink mark]$
Comment 4 Arjan van de Ven 2003-01-26 07:16:15 EST
it might be a good plan to run memtest86 to test the ram;
also does this happen if you don't use reiserfs?
Comment 5 Mark Henson 2003-01-26 14:46:46 EST
ran memtest86 for 8 passes - clean
have not been able to recreate so far - (writing to reiserfs partition) and have
not tried when writing to ext2/3
Comment 6 Bugzilla owner 2004-09-30 11:40:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.